Start a source document read
Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/sources/inbound/http.go`.
/v1/sources/{id}/versions/{version}/readRequires an authenticated tenant principal. Generated from the production route registered in internal/features/sources/inbound/http.go.
Authorization
bearerAuth Engine-issued API key or tenant-signed JWT.
In: header
Path Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/sources/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/read" \ -H "Content-Type: application/json" \ -d '{}'{}Get file
Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/sources/inbound/http.go`.
Restore a source version
Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/sources/inbound/http.go`.